interface IEventScheduler {

    IdEvent: number;
    DateStart: number;
    HourStart: string;
    DateEnd: number;
    HourEnd: string;
    Name: string;
    Type: string;
}

export class EventScheduler {

    public IdEvent: number | undefined;
    public DateStart: number | undefined;
    public HourStart: string | undefined;
    public DateEnd: number | undefined;
    public HourEnd: string | undefined;

    public Name: string | undefined;
    public Type: string | undefined;

    constructor(objet?: IEventScheduler) {

        this.IdEvent = objet?.IdEvent;
        this.DateStart = objet?.DateStart;
        this.HourStart = objet?.HourStart;
        this.DateEnd = objet?.DateEnd;
        this.HourEnd = objet?.HourEnd;

        this.Name = objet?.Name;
        this.Type = objet?.Type;
    }
}
