Scheduler.plugin(function (scheduler) {
    scheduler._renderMatrix = function (mode, refresh) {
        var obj = this;

        // first and last hours are applied only to day based timeline
        // if (obj.x_unit != "day") obj.first_hour = obj.last_hour = 0;

        // correction for first and last hour
        obj._start_correction = obj.first_hour ? obj.first_hour * 60 * 60 * 1000 : 0;
        obj._end_correction = obj.last_hour ? (24 - obj.last_hour) * 60 * 60 * 1000 : 0;

        if (!refresh) {
            scheduler._els['dhx_cal_data'][0].scrollTop = 0;
        }

        scheduler._set_timeline_dates(this);

        scheduler._timeline_set_full_view.call(this, mode);
    };
});
